Subject: RE: SLP 'printer:' template

From: "McDonald, Ira" <[email-masked]>
Date: Thu, 7 Dec 2000 17:11:07 -0800

Hi Matt,

Good question - the 'ridiculously long attribute tags' you refer
to arose because they were the VERBATIM names of the equivalent
IPP Printer object attributes (except that 'printer-' was prefixed
where necessary to make them safe names in the flat LDAP namespace).

Shorter tags would have suited me, but consistency with IETF IPP
was the primary goal here.  Sorry they're so unwieldy.

Cheers,
- Ira

-----Original Message-----
From: Matt Peterson [mailto:[email-masked]]
Sent: Thursday, December 07, 2000 4:41 PM
To: McDonald, Ira
Cc: [email-masked]'; [email-masked]'
Subject: Re: SLP 'printer:' template

"McDonald, Ira" wrote:
> 
> Hi Matt,
> 
> All of the IANA registered SLP templates (those which have been
> approved by the IETF designated expert, Erik Guttman, IETF SLP WG
> chair) are in a directory in the primary IETF RFC server at:
> 
>     ftp://ftp.isi.edu/in-notes/iana/assignments/svrloc-templates/
> 
> The SLP 'printer:' v2.0 is in the file:
> 
>     printer.2.0.en
> 
> It is _important_ NOT to implement the 'printer.1.0.en' template,
> because many of the attribute names (taken from the IPP/1.0 spec
> in RFC 25656/2566) were improperly scoped (i.e., did NOT begin
> with 'printer-...').  When Pat Fleming (IBM) and I converted the
> SLP 'printer:' template to the LDAP Printer Schema, we found this
> problem and corrected it (in SLP 'printer:' v2.0).
> 
> A durable URL to the original full text of the final I-D of the
> SLP 'printer:' v2.0 is at the PWG HTTP/FTP server at:
> 
>     ftp://ftp.pwg.org/pub/pwg/ipp/new_SLP/
> 
> in the file:
> 
>     draft-ietf-svrloc-printer-scheme-06.txt (8 March 2000)
> 
> The final I-D of the equivalent LDAP Printer Schema is at:
> 
>     ftp://ftp.ietf.org/internet-drafts/
> 
> in the file:
> 
>     draft-ietf-ipp-ldap-printer-schema-03.txt (4 August 2000)
> 
> Boy I wish I could give you examples of properly constructed
> registrations.  I've forwarded your note to the SLP WG list,
> in hopes that some of the folks who HAVE built implementations
> can answer that one for you.
> 

Thanks, I've found the template and have used it in my patch for CUPS. 
One question...  Why does the printer template require the use of such
ridiculously long attribute tags? 
'printer-generated-natural-language-supported' and other equally long
tags seem just a little too long for a protocol that attempts to
meaningfull fit information into a 1400 byte datagrams :-(

-- 
Matthew Peterson
Sr. Software Engineer
Caldera Systems, Inc
[email-masked]